!=========================================================================
! 一次元トレーサー移流モデル: dcl-5.0.1 モジュール
!
! 履歴	1997/10/16	小高正嗣
!	1997/10/22	小高正嗣
!	1998/01/18	小高正嗣
!=========================================================================
MODULE dcl_module2
PUBLIC dennou_set_2,dennou_draw_2,dennou_cls_2

	CONTAINS
!=========================================================================
SUBROUTINE dennou_set_2

	CALL SGLSET( 'LCORNER', .FALSE. )
	CALL GROPN( -2 )
	CALL SLDIV( 'T', 3, 3 )

END SUBROUTINE dennou_set_2
!=========================================================================
SUBROUTINE dennou_draw_2( xplot, yplot0, yplot1, yplot2, yplot3, &
	&                 theader, header1, header2, header3 )

	REAL,DIMENSION(:),INTENT(in)	:: xplot
	REAL,DIMENSION(:),INTENT(in)	:: yplot0
	REAL,DIMENSION(:),INTENT(in)	:: yplot1
	REAL,DIMENSION(:),INTENT(in)	:: yplot2
	REAL,DIMENSION(:),INTENT(in)	:: yplot3
	CHARACTER(LEN=9),INTENT(in)	:: theader
	CHARACTER(LEN=10),INTENT(in)	:: header1
	CHARACTER(LEN=14),INTENT(in)	:: header2
	CHARACTER(LEN=10),INTENT(in)	:: header3
	INTEGER				:: xdim	

	xdim = SIZE(xplot)

	CALL GRFRM
	CALL GRSWND( 0., 1., 0., 3. )
	CALL GRSVPT( 0.1, 0.9, 0.1, 0.9 )
	CALL GRSTRN( 1 )
	CALL GRSTRF
	CALL UXAXDV( 'B', 0.02, 0.2 )
	CALL UXAXDV( 'T', 0.02, 0.2 )
	CALL UXSTTL( 'B', 'X', 0. )
	CALL UXSTTL( 'T', header1, 1. )
	CALL UXSTTL( 'T', theader, -1. )
	CALL UYAXDV( 'L', 0.1, 0.5 )
	CALL UYAXDV( 'R', 0.1, 0.5 )
	CALL UULIN( xdim, xplot, yplot1 )
	CALL UULINZ( xdim, xplot, yplot0, 3, 1 )

	CALL GRFRM
	CALL GRSWND( 0., 1., 0., 3. )
	CALL GRSVPT( 0.1, 0.9, 0.1, 0.9 )
	CALL GRSTRN( 1 )
	CALL GRSTRF
	CALL UXAXDV( 'B', 0.02, 0.2 )
	CALL UXAXDV( 'T', 0.02, 0.2 )
	CALL UXSTTL( 'B', 'X', 0. )
	CALL UXSTTL( 'T', header2, 1. )
	CALL UXSTTL( 'T', theader, -1. )
	CALL UYAXDV( 'L', 0.1, 0.5 )
	CALL UYAXDV( 'R', 0.1, 0.5 )
	CALL UULIN( xdim, xplot, yplot2 )
	CALL UULINZ( xdim, xplot, yplot0, 3, 1 )

	CALL GRFRM
	CALL GRSWND( 0., 1., 0., 3. )
	CALL GRSVPT( 0.1, 0.9, 0.1, 0.9 )
	CALL GRSTRN( 1 )
	CALL GRSTRF
	CALL UXAXDV( 'B', 0.02, 0.2 )
	CALL UXAXDV( 'T', 0.02, 0.2 )
	CALL UXSTTL( 'B', 'X', 0. )
	CALL UXSTTL( 'T', header3, 1. )
	CALL UXSTTL( 'T', theader, -1. )
	CALL UYAXDV( 'L', 0.1, 0.5 )
	CALL UYAXDV( 'R', 0.1, 0.5 )
	CALL UULIN( xdim, xplot, yplot3 )
	CALL UULINZ( xdim, xplot, yplot0, 3, 1 )

END SUBROUTINE dennou_draw_2
!=========================================================================
END MODULE dcl_module2
